const { exec } = require('child_process');

exec('npm show fero-pixel version', (error, stdout, stderr) => {
  if (error) {
    console.log(`error: ${error.message}`);
    process.stdout.write('exit 1');
    return;
  }

  if (stderr) {
    console.log(`stderr: ${stderr}`);
    process.stdout.write('exit 1');
    return;
  }

  const versionArr = stdout.split('.');
  const minorNum = parseInt(versionArr[2].trim());
  versionArr[2] = (minorNum + 1).toString();
  const semver = versionArr.join('.');
  process.stdout.write(semver);
});
